﻿using System;
using System.Diagnostics;

namespace SpaceInvaders
{
    //TODO: strategy pattern: bomb falls zigzag, straight, cross
    public abstract class Bombs : Leaf
    {
        //-------------------------------------------------------------------
        //  FIELDS
        //-------------------------------------------------------------------
        public enum BombType
        {
            Bomb,
            BombRoot,
            Uninitialized
        }

        protected BombType bombType;


        //-------------------------------------------------------------------
        //  CONSTRUCTION
        //-------------------------------------------------------------------

        public Bombs(GameObject.ObjectName name, Sprite.SpriteName spriteName, float x, float y, BombType type) 
            : base(name, spriteName, x, y)
        {
            this.bombType = type;
        }


    } //end class

} //end namespace
